package com.nationrel.modules.fta.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

@Schema(description = "分析计算接口业务对象")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaRiLineBo implements Serializable {

    @Schema(description = "节点ID")
    private Integer nodeId;

    @Schema(description = "nodeName")
    private Integer nodeName;

    @Schema(description = "riValues")
    private List<Double> riValues;

    @Schema(description = "relValue")
    private Double relValue;
}