package com.nationrel.modules.fta.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 *
 * @TableName fta_operator_detail
 */
@Schema(description = "fta框图删除节点表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("fta_operator_detail")
public class FtaOperatorDetail implements Serializable {
    /**
     * 记录删除节点操作时，存在记录大量id的情况
     */
    @Schema(description = "主键")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     *
     */
    @Schema(description = "operator表id")
    private Integer operatorId;

    /**
     *
     */
    @Schema(description = "删除的元素id")
    private String nodeId;

    /**
     *
     */
    private String edgeId;

    /**
     *
     */
    private String analysisId;

    private static final long serialVersionUID = 1L;
}
