package com.nationrel.modules.fta.entity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Schema(description = "fta导入需要")
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class RdfmFaultNetModel extends AbstractRdfmFaultNet {
    private String faultName;
    private String code;
    private String functionId;
    private String functionName;
    private String requireId;
    private String requireName;
    private String funStruTypeCode;
    private String struName;
    private String struCode;
    private String signific;
    private String classifyId;
    private Integer recurS;
    private int rootFlag;
    private int directAndRootFlag;
    private String causeLeftNo;
    private String causeRightNo;
    private Integer analysisLevel;
    private String typeCode;
    private Integer requiredPath;
    private String analysisId;
    private String fatherAnalysisId;
    private String distributionTypeCode;
    private Double p1Value;
    private Double p2Value;
    private Double p3Value;
    private String transferChildrenAnalysisId;
    private String masterFatherId;
    private Integer level;
    private Integer order;
}
