package com.nationrel.modules.fta.general.util.authority;

import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.fta.general.domain.auth.UserInfo;
import org.apache.commons.lang3.StringUtils;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

/**
 * @author HuangKang on 2018/12/13.
 */
public class UserInfoUtil {
    public static UserInfo parseEmployeeInfo(String employee) {
        if (!StringUtils.isBlank(employee)) {
            try {
                //解码
                employee = URLDecoder.decode(employee, "UTF-8");
            } catch (UnsupportedEncodingException var4) {
                var4.printStackTrace();
            }
        }
        UserInfo userInfo = JSONObject.parseObject(employee, UserInfo.class);
        return userInfo;
    }
}
