// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.fta.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

@Schema(description = "分析树")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaAnalysisTreeVo {

    @Schema(description = "分析ID")
    private String id;

    @Schema(description = "projectId")
    private String projectId;

    @Schema(description = "analysisId")
    private String analysisId;

    @Schema(description = "label")
    private String label;

    @Schema(description = "showInput")
    private Boolean showInput;

    @Schema(description = "当前层级：0: 功能 1：最外层树，其它：子树")
    private Integer level;

    @Schema(description = "视图类型 1宽松 2常规 3紧凑（不支持排序）")
    private String viewType;

    @Schema(description = "children")
    private List<FtaAnalysisTreeVo> children;

    private Date insertTime;
}
