package com.nationrel.modules.fta.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

//@Schema(description = "分析计算接口业务对象",description = "分析计算接口业务对象")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaFastCalcVo implements Serializable {

    @Schema(description = "ftaId")
    private String ftaId;

    @Schema(description = "matricTypeCode")
    private String matricTypeCode;

    @Schema(description = "inputParams1")
    private List<Double> inputParams1;

    @Schema(description = "inputParams2")
    private List<Double> inputParams2;
}