package com.nationrel.modules.fta.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 *
 * @TableName fta_analysis_calc_result
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FtaAnalysisCalcResult {

    @TableId
    @Schema(description = "ftaId")
    private String ftaId;

    @Schema(description = "commonTerm")
    private String commonTerm;

    @Schema(description = "relTerms")
    private String relTerms;

    @Schema(description = "最小割集")
    private String sysMinCutsets;

    @Schema(description = "系统方程")
    private String systemEquation;
}
