package com.nationrel.modules.fta.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

//@Schema(description = "分析计算接口业务对象",description = "分析计算接口业务对象")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaImageVo implements Serializable {

//    @Schema(description = "matricTypeCode")
//    private String matricTypeCode;

    @Schema(description = "inputParams1")
    private List<Double> inputParams1;

    @Schema(description = "inputParams2")
    private List<Double> inputParams2;

    @Schema(description = "checkedNodes")
    private List<String> checkedNodes;

    private String analysisId;

    private String plotType = "1";

    @Schema(description = "重要度：1时变 2指定时间")
    private String riType;

    @Schema(description = "重要度指定时间值")
    private Double time;

    @Schema(description = "X-axis开始")
    private Double xaxisStart;

    @Schema(description = "X-axis结束")
    private Double xaxisEnd;

    @Schema(description = "Y-axis开始")
    private Double yaxisStart;

    @Schema(description = "Y-axis结束")
    private Double yaxisEnd;
}